Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class QueryResults.Location

    java.lang.Object
      org.modeshape.jcr.query.QueryResults.Location

All Implemented Interfaces:
  Comparable<QueryResults.Location>

Enclosing interface:
  QueryResults

    public static final class QueryResults.Location

extends Object
implements Comparable<QueryResults.Location>

Constructor Summary
`QueryResults.Location(Path path)`
`QueryResults.Location(Path path, NodeKey key)`

Method Summary
`int` | `compareTo(QueryResults.Location that)`
`boolean` | `equals(Object obj)`
`static Comparator<QueryResults.Location>` | `getComparator()`
`NodeKey` | `getKey()`
`Path` | `getPath()`
`int` | `hashCode()`
`boolean` | `isSame(QueryResults.Location that)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryResults.Location

    public QueryResults.Location(Path path)

### QueryResults.Location

    public QueryResults.Location(Path path,
                                 NodeKey key)

Method Detail

### getComparator

    public static Comparator<QueryResults.Location> getComparator()

### getPath

    public Path getPath()

### getKey

    public NodeKey getKey()

### isSame

    public boolean isSame(QueryResults.Location that)

### compareTo

    public int compareTo(QueryResults.Location that)

  Specified by:
    `compareTo` in interface `Comparable<QueryResults.Location>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.